# Directories

## Create Directory

`DirectoryCreateResponse Beta.Directories.Create(DirectoryCreateParamsparameters, CancellationTokencancellationToken = default)`

**post** `/api/v1/beta/directories`

Create a new directory within the specified project.

### Parameters

- `DirectoryCreateParams parameters`

  - `required string name`

    Body param: Human-readable name for the directory.

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

  - `string? description`

    Body param: Optional description shown to users.

  - `IReadOnlyDictionary<string, JsonElement>? systemMetadata`

    Body param: Reserved system-managed metadata.

  - `Type type`

    Body param: Directory type. Use 'ephemeral' for batch processing with automatic cleanup.

    - `"ephemeral"Ephemeral`

    - `"user"User`

### Returns

- `class DirectoryCreateResponse:`

  API response schema for a directory.

  - `required string ID`

    Unique identifier for the directory.

  - `required string Name`

    Human-readable name for the directory.

  - `required string ProjectID`

    Project the directory belongs to.

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Optional timestamp of when the directory was deleted. Null if not deleted.

  - `string? Description`

    Optional description shown to users.

  - `DateTimeOffset? ExpiresAt`

    When this directory expires and is eligible for cleanup.

  - `IReadOnlyDictionary<string, JsonElement>? SystemMetadata`

    Reserved system-managed metadata.

  - `Type? Type`

    Directory type: 'user', 'index', or 'ephemeral'.

    - `"ephemeral"Ephemeral`

    - `"index"Index`

    - `"user"User`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
DirectoryCreateParams parameters = new() { Name = "x" };

var directory = await client.Beta.Directories.Create(parameters);

Console.WriteLine(directory);
```

#### Response

```json
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "ephemeral",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```

## List Directories

`DirectoryListPageResponse Beta.Directories.List(DirectoryListParams?parameters, CancellationTokencancellationToken = default)`

**get** `/api/v1/beta/directories`

List Directories

### Parameters

- `DirectoryListParams parameters`

  - `Boolean includeDeleted`

    Include deleted directories.

  - `string? name`

    Directory name to match.

  - `string? organizationID`

  - `Long? pageSize`

  - `string? pageToken`

  - `string? projectID`

  - `Type? type`

    Directory type to include.

    - `"ephemeral"Ephemeral`

    - `"index"Index`

    - `"user"User`

  - `IReadOnlyList<Type>? types`

    Filter by one or more directory types. Repeat the parameter for multiple values.

    - `"ephemeral"Ephemeral`

    - `"index"Index`

    - `"user"User`

### Returns

- `class DirectoryListPageResponse:`

  API query response schema for directories.

  - `required IReadOnlyList<DirectoryListResponse> Items`

    The list of items.

    - `required string ID`

      Unique identifier for the directory.

    - `required string Name`

      Human-readable name for the directory.

    - `required string ProjectID`

      Project the directory belongs to.

    - `DateTimeOffset? CreatedAt`

      Creation datetime

    - `DateTimeOffset? DeletedAt`

      Optional timestamp of when the directory was deleted. Null if not deleted.

    - `string? Description`

      Optional description shown to users.

    - `DateTimeOffset? ExpiresAt`

      When this directory expires and is eligible for cleanup.

    - `IReadOnlyDictionary<string, JsonElement>? SystemMetadata`

      Reserved system-managed metadata.

    - `Type? Type`

      Directory type: 'user', 'index', or 'ephemeral'.

      - `"ephemeral"Ephemeral`

      - `"index"Index`

      - `"user"User`

    - `DateTimeOffset? UpdatedAt`

      Update datetime

  - `string? NextPageToken`

    A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

  - `Long? TotalSize`

    The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

### Example

```csharp
DirectoryListParams parameters = new();

var page = await client.Beta.Directories.List(parameters);
await foreach (var item in page.Paginate())
{
    Console.WriteLine(item);
}
```

#### Response

```json
{
  "items": [
    {
      "id": "id",
      "name": "x",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "description": "description",
      "expires_at": "2019-12-27T18:11:19.117Z",
      "system_metadata": {
        "foo": "bar"
      },
      "type": "ephemeral",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```

## Get Directory

`DirectoryGetResponse Beta.Directories.Get(DirectoryGetParamsparameters, CancellationTokencancellationToken = default)`

**get** `/api/v1/beta/directories/{directory_id}`

Retrieve a directory by its identifier.

### Parameters

- `DirectoryGetParams parameters`

  - `required string directoryID`

  - `string? organizationID`

  - `string? projectID`

### Returns

- `class DirectoryGetResponse:`

  API response schema for a directory.

  - `required string ID`

    Unique identifier for the directory.

  - `required string Name`

    Human-readable name for the directory.

  - `required string ProjectID`

    Project the directory belongs to.

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Optional timestamp of when the directory was deleted. Null if not deleted.

  - `string? Description`

    Optional description shown to users.

  - `DateTimeOffset? ExpiresAt`

    When this directory expires and is eligible for cleanup.

  - `IReadOnlyDictionary<string, JsonElement>? SystemMetadata`

    Reserved system-managed metadata.

  - `Type? Type`

    Directory type: 'user', 'index', or 'ephemeral'.

    - `"ephemeral"Ephemeral`

    - `"index"Index`

    - `"user"User`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
DirectoryGetParams parameters = new() { DirectoryID = "directory_id" };

var directory = await client.Beta.Directories.Get(parameters);

Console.WriteLine(directory);
```

#### Response

```json
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "ephemeral",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```

## Update Directory

`DirectoryUpdateResponse Beta.Directories.Update(DirectoryUpdateParamsparameters, CancellationTokencancellationToken = default)`

**patch** `/api/v1/beta/directories/{directory_id}`

Update directory metadata.

### Parameters

- `DirectoryUpdateParams parameters`

  - `required string directoryID`

    Path param

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

  - `string? description`

    Body param: Updated description for the directory.

  - `string? name`

    Body param: Updated name for the directory.

### Returns

- `class DirectoryUpdateResponse:`

  API response schema for a directory.

  - `required string ID`

    Unique identifier for the directory.

  - `required string Name`

    Human-readable name for the directory.

  - `required string ProjectID`

    Project the directory belongs to.

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Optional timestamp of when the directory was deleted. Null if not deleted.

  - `string? Description`

    Optional description shown to users.

  - `DateTimeOffset? ExpiresAt`

    When this directory expires and is eligible for cleanup.

  - `IReadOnlyDictionary<string, JsonElement>? SystemMetadata`

    Reserved system-managed metadata.

  - `Type? Type`

    Directory type: 'user', 'index', or 'ephemeral'.

    - `"ephemeral"Ephemeral`

    - `"index"Index`

    - `"user"User`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
DirectoryUpdateParams parameters = new() { DirectoryID = "directory_id" };

var directory = await client.Beta.Directories.Update(parameters);

Console.WriteLine(directory);
```

#### Response

```json
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "ephemeral",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```

## Delete Directory

`Beta.Directories.Delete(DirectoryDeleteParamsparameters, CancellationTokencancellationToken = default)`

**delete** `/api/v1/beta/directories/{directory_id}`

Permanently delete a directory.

### Parameters

- `DirectoryDeleteParams parameters`

  - `required string directoryID`

  - `string? organizationID`

  - `string? projectID`

### Example

```csharp
DirectoryDeleteParams parameters = new() { DirectoryID = "directory_id" };

await client.Beta.Directories.Delete(parameters);
```

# Files

## Add Directory File

`FileAddResponse Beta.Directories.Files.Add(FileAddParamsparameters, CancellationTokencancellationToken = default)`

**post** `/api/v1/beta/directories/{directory_id}/files`

Create a new file within the specified directory; the directory must exist in the project and `file_id` must reference an existing file.

### Parameters

- `FileAddParams parameters`

  - `required string directoryID`

    Path param

  - `required string fileID`

    Body param: File ID for the storage location (required).

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

  - `string? displayName`

    Body param: Display name for the file. If not provided, will use the file's name.

  - `IReadOnlyDictionary<string, Metadata>? metadata`

    Body param: User-defined metadata key-value pairs to associate with the file.

    - `string`

    - `Long`

    - `Double`

    - `Boolean`

    - `JsonElement`

    - `IReadOnlyList<string>`

  - `string? uniqueID`

    Body param: Unique identifier for the file in the directory. If not provided, will use the file's external_file_id or name.

### Returns

- `class FileAddResponse:`

  API response schema for a directory file.

  - `required string ID`

    Unique identifier for the directory file.

  - `required string DirectoryID`

    Directory the file belongs to.

  - `required string DisplayName`

    Display name for the file.

  - `required string ProjectID`

    Project the directory file belongs to.

  - `required string UniqueID`

    Unique identifier for the file in the directory

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Soft delete marker when the file is removed upstream or by user action.

  - `PresignedUrl? DownloadUrl`

    Schema for a presigned URL.

    - `required DateTimeOffset ExpiresAt`

      The time at which the presigned URL expires

    - `required string Url`

      A presigned URL for IO operations against a private file

    - `IReadOnlyDictionary<string, string>? FormFields`

      Form fields for a presigned POST request

  - `string? FileID`

    File ID for the storage location.

  - `IReadOnlyDictionary<string, Metadata> Metadata`

    Merged metadata from all sources. Higher-priority sources override lower.

    - `string`

    - `Long`

    - `Double`

    - `Boolean`

    - `JsonElement`

    - `IReadOnlyList<string>`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
FileAddParams parameters = new()
{
    DirectoryID = "directory_id",
    FileID = "file_id",
};

var response = await client.Beta.Directories.Files.Add(parameters);

Console.WriteLine(response);
```

#### Response

```json
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```

## List Directory Files

`FileListPageResponse Beta.Directories.Files.List(FileListParamsparameters, CancellationTokencancellationToken = default)`

**get** `/api/v1/beta/directories/{directory_id}/files`

List all files within the specified directory with optional filtering and pagination.

### Parameters

- `FileListParams parameters`

  - `required string directoryID`

  - `string? displayName`

  - `string? displayNameContains`

  - `IReadOnlyList<string>? expand`

    Fields to expand on each directory file.

  - `string? fileID`

  - `Boolean includeDeleted`

  - `string? organizationID`

  - `Long? pageSize`

  - `string? pageToken`

  - `string? projectID`

  - `string? uniqueID`

  - `DateTimeOffset? updatedAtOnOrAfter`

    Include items updated at or after this timestamp (inclusive)

  - `DateTimeOffset? updatedAtOnOrBefore`

    Include items updated at or before this timestamp (inclusive)

### Returns

- `class FileListPageResponse:`

  API query response schema for directory files.

  - `required IReadOnlyList<FileListResponse> Items`

    The list of items.

    - `required string ID`

      Unique identifier for the directory file.

    - `required string DirectoryID`

      Directory the file belongs to.

    - `required string DisplayName`

      Display name for the file.

    - `required string ProjectID`

      Project the directory file belongs to.

    - `required string UniqueID`

      Unique identifier for the file in the directory

    - `DateTimeOffset? CreatedAt`

      Creation datetime

    - `DateTimeOffset? DeletedAt`

      Soft delete marker when the file is removed upstream or by user action.

    - `PresignedUrl? DownloadUrl`

      Schema for a presigned URL.

      - `required DateTimeOffset ExpiresAt`

        The time at which the presigned URL expires

      - `required string Url`

        A presigned URL for IO operations against a private file

      - `IReadOnlyDictionary<string, string>? FormFields`

        Form fields for a presigned POST request

    - `string? FileID`

      File ID for the storage location.

    - `IReadOnlyDictionary<string, Metadata> Metadata`

      Merged metadata from all sources. Higher-priority sources override lower.

      - `string`

      - `Long`

      - `Double`

      - `Boolean`

      - `JsonElement`

      - `IReadOnlyList<string>`

    - `DateTimeOffset? UpdatedAt`

      Update datetime

  - `string? NextPageToken`

    A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

  - `Long? TotalSize`

    The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

### Example

```csharp
FileListParams parameters = new() { DirectoryID = "directory_id" };

var page = await client.Beta.Directories.Files.List(parameters);
await foreach (var item in page.Paginate())
{
    Console.WriteLine(item);
}
```

#### Response

```json
{
  "items": [
    {
      "id": "id",
      "directory_id": "directory_id",
      "display_name": "x",
      "project_id": "project_id",
      "unique_id": "x",
      "created_at": "2019-12-27T18:11:19.117Z",
      "deleted_at": "2019-12-27T18:11:19.117Z",
      "download_url": {
        "expires_at": "2019-12-27T18:11:19.117Z",
        "url": "https://example.com",
        "form_fields": {
          "foo": "string"
        }
      },
      "file_id": "file_id",
      "metadata": {
        "foo": "string"
      },
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```

## Get Directory File

`FileGetResponse Beta.Directories.Files.Get(FileGetParamsparameters, CancellationTokencancellationToken = default)`

**get** `/api/v1/beta/directories/{directory_id}/files/{directory_file_id}`

Get a directory file by `directory_file_id`; to look up by `unique_id`, use the list endpoint with a filter.

### Parameters

- `FileGetParams parameters`

  - `required string directoryID`

    Path param

  - `required string directoryFileID`

    Path param

  - `IReadOnlyList<string>? expand`

    Query param: Fields to expand.

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

### Returns

- `class FileGetResponse:`

  API response schema for a directory file.

  - `required string ID`

    Unique identifier for the directory file.

  - `required string DirectoryID`

    Directory the file belongs to.

  - `required string DisplayName`

    Display name for the file.

  - `required string ProjectID`

    Project the directory file belongs to.

  - `required string UniqueID`

    Unique identifier for the file in the directory

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Soft delete marker when the file is removed upstream or by user action.

  - `PresignedUrl? DownloadUrl`

    Schema for a presigned URL.

    - `required DateTimeOffset ExpiresAt`

      The time at which the presigned URL expires

    - `required string Url`

      A presigned URL for IO operations against a private file

    - `IReadOnlyDictionary<string, string>? FormFields`

      Form fields for a presigned POST request

  - `string? FileID`

    File ID for the storage location.

  - `IReadOnlyDictionary<string, Metadata> Metadata`

    Merged metadata from all sources. Higher-priority sources override lower.

    - `string`

    - `Long`

    - `Double`

    - `Boolean`

    - `JsonElement`

    - `IReadOnlyList<string>`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
FileGetParams parameters = new()
{
    DirectoryID = "directory_id",
    DirectoryFileID = "directory_file_id",
};

var file = await client.Beta.Directories.Files.Get(parameters);

Console.WriteLine(file);
```

#### Response

```json
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```

## Update Directory File

`FileUpdateResponse Beta.Directories.Files.Update(FileUpdateParamsparameters, CancellationTokencancellationToken = default)`

**patch** `/api/v1/beta/directories/{directory_id}/files/{directory_file_id}`

Update directory-file metadata by `directory_file_id`; set `directory_id` to move the file to a different directory. To resolve from `unique_id`, list with a filter first.

### Parameters

- `FileUpdateParams parameters`

  - `required string directoryID`

    Path param

  - `required string directoryFileID`

    Path param

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

  - `string? displayName`

    Body param: Updated display name.

  - `IReadOnlyDictionary<string, Metadata>? metadata`

    Body param: User-defined metadata key-value pairs. Replaces the user metadata layer.

    - `string`

    - `Long`

    - `Double`

    - `Boolean`

    - `JsonElement`

    - `IReadOnlyList<string>`

  - `string? targetDirectoryID`

    Body param: Move file to a different directory.

  - `string? uniqueID`

    Body param: Updated unique identifier.

### Returns

- `class FileUpdateResponse:`

  API response schema for a directory file.

  - `required string ID`

    Unique identifier for the directory file.

  - `required string DirectoryID`

    Directory the file belongs to.

  - `required string DisplayName`

    Display name for the file.

  - `required string ProjectID`

    Project the directory file belongs to.

  - `required string UniqueID`

    Unique identifier for the file in the directory

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Soft delete marker when the file is removed upstream or by user action.

  - `PresignedUrl? DownloadUrl`

    Schema for a presigned URL.

    - `required DateTimeOffset ExpiresAt`

      The time at which the presigned URL expires

    - `required string Url`

      A presigned URL for IO operations against a private file

    - `IReadOnlyDictionary<string, string>? FormFields`

      Form fields for a presigned POST request

  - `string? FileID`

    File ID for the storage location.

  - `IReadOnlyDictionary<string, Metadata> Metadata`

    Merged metadata from all sources. Higher-priority sources override lower.

    - `string`

    - `Long`

    - `Double`

    - `Boolean`

    - `JsonElement`

    - `IReadOnlyList<string>`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
FileUpdateParams parameters = new()
{
    DirectoryID = "directory_id",
    DirectoryFileID = "directory_file_id",
};

var file = await client.Beta.Directories.Files.Update(parameters);

Console.WriteLine(file);
```

#### Response

```json
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```

## Delete Directory File

`Beta.Directories.Files.Delete(FileDeleteParamsparameters, CancellationTokencancellationToken = default)`

**delete** `/api/v1/beta/directories/{directory_id}/files/{directory_file_id}`

Delete a directory file by `directory_file_id`; to resolve from `unique_id`, list with a filter first.

### Parameters

- `FileDeleteParams parameters`

  - `required string directoryID`

    Path param

  - `required string directoryFileID`

    Path param

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

### Example

```csharp
FileDeleteParams parameters = new()
{
    DirectoryID = "directory_id",
    DirectoryFileID = "directory_file_id",
};

await client.Beta.Directories.Files.Delete(parameters);
```

## Upload File To Directory

`FileUploadResponse Beta.Directories.Files.Upload(FileUploadParamsparameters, CancellationTokencancellationToken = default)`

**post** `/api/v1/beta/directories/{directory_id}/files/upload`

Upload a file and create its directory entry in one call; `unique_id` / `display_name` default to values derived from file metadata.

### Parameters

- `FileUploadParams parameters`

  - `required string directoryID`

    Path param

  - `required string uploadFile`

    Body param

  - `string? organizationID`

    Query param

  - `string? projectID`

    Query param

  - `string? displayName`

    Body param

  - `string? externalFileID`

    Body param

  - `string? metadata`

    Body param: User metadata as a JSON object string.

  - `string? uniqueID`

    Body param

### Returns

- `class FileUploadResponse:`

  API response schema for a directory file.

  - `required string ID`

    Unique identifier for the directory file.

  - `required string DirectoryID`

    Directory the file belongs to.

  - `required string DisplayName`

    Display name for the file.

  - `required string ProjectID`

    Project the directory file belongs to.

  - `required string UniqueID`

    Unique identifier for the file in the directory

  - `DateTimeOffset? CreatedAt`

    Creation datetime

  - `DateTimeOffset? DeletedAt`

    Soft delete marker when the file is removed upstream or by user action.

  - `PresignedUrl? DownloadUrl`

    Schema for a presigned URL.

    - `required DateTimeOffset ExpiresAt`

      The time at which the presigned URL expires

    - `required string Url`

      A presigned URL for IO operations against a private file

    - `IReadOnlyDictionary<string, string>? FormFields`

      Form fields for a presigned POST request

  - `string? FileID`

    File ID for the storage location.

  - `IReadOnlyDictionary<string, Metadata> Metadata`

    Merged metadata from all sources. Higher-priority sources override lower.

    - `string`

    - `Long`

    - `Double`

    - `Boolean`

    - `JsonElement`

    - `IReadOnlyList<string>`

  - `DateTimeOffset? UpdatedAt`

    Update datetime

### Example

```csharp
FileUploadParams parameters = new()
{
    DirectoryID = "directory_id",
    UploadFile = Encoding.UTF8.GetBytes("Example data"),
};

var response = await client.Beta.Directories.Files.Upload(parameters);

Console.WriteLine(response);
```

#### Response

```json
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
```
